VERSION 5.00
Object = "{4DE9E2A3-150F-11CF-8FBF-444553540000}#4.0#0"; "DLXOCX32.OCX"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   2700
   ClientLeft      =   2085
   ClientTop       =   1695
   ClientWidth     =   4995
   LinkTopic       =   "Form1"
   ScaleHeight     =   2700
   ScaleWidth      =   4995
   Begin VB.ComboBox DeviceNum 
      Height          =   315
      Left            =   2640
      TabIndex        =   5
      Text            =   "Combo1"
      ToolTipText     =   "Select the Device Number assigned in DriverLINX Config Panel"
      Top             =   600
      Width           =   1215
   End
   Begin VB.TextBox Text1 
      Height          =   375
      Left            =   2640
      TabIndex        =   3
      Text            =   "0"
      ToolTipText     =   "Enter a voltage value..."
      Top             =   1200
      Width           =   855
   End
   Begin VB.CommandButton cmdSample 
      Caption         =   "Write AO Chan 0"
      Enabled         =   0   'False
      Height          =   375
      Left            =   600
      TabIndex        =   1
      Top             =   1200
      Width           =   1695
   End
   Begin VB.CommandButton cmdInit 
      Caption         =   "Initialize"
      Height          =   375
      Left            =   600
      TabIndex        =   0
      Top             =   600
      Width           =   1695
   End
   Begin DlsrLib.DriverLINXLDD LDD 
      Left            =   1320
      Top             =   2040
      _Version        =   262144
      _ExtentX        =   741
      _ExtentY        =   741
      _StockProps     =   64
      _Version        =   262144
      _ExtentX        =   741
      _ExtentY        =   741
      _StockProps     =   64
   End
   Begin DlsrLib.DriverLINXSR SR 
      Left            =   600
      Top             =   2040
      _Version        =   262144
      _ExtentX        =   741
      _ExtentY        =   741
      _StockProps     =   64
   End
   Begin VB.Label Label3 
      Caption         =   "DriverLINX Device Number: "
      BeginProperty Font 
         Name            =   "Small Fonts"
         Size            =   6
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   135
      Left            =   2520
      TabIndex        =   6
      Top             =   240
      Width           =   2175
   End
   Begin VB.Label Label2 
      Caption         =   "volts"
      Height          =   255
      Left            =   3600
      TabIndex        =   4
      Top             =   1320
      Width           =   615
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      BackColor       =   &H000000FF&
      Caption         =   " KEITHLEY "
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H8000000E&
      Height          =   300
      Left            =   600
      TabIndex        =   2
      Top             =   120
      Width           =   1455
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdInit_Click()
' read in the device number we should use
Dim devNum As Integer
devNum = CInt(DeviceNum.Text)
' open the driver and initialize the hardware
With SR
.Req_DLL_name = "kmb1800" ' give driver name to avoid OpenDriverLINX Dialog; use kmb1700 for DAS-1700
.Req_device = devNum
.Req_mode = DL_OTHER
.Req_op = DL_INITIALIZE
.Req_subsystem = DL_DEVICE
.Refresh
End With

If SR.Res_result = DL_NoErr Then
cmdSample.Enabled = True
' use of the LDD control is not required
LDD.Req_DLL_name = SR.Req_DLL_name  ' have LDD use same driver
LDD.device = SR.Req_device          ' have LDD use same device within that driver family
LDD.Refresh   ' load the LDD with data for that device/driver
Form1.Caption = LDD.Dev_Model  ' display the model number of the board
Else
' error check
SR.Req_op = DL_MESSAGEBOX
SR.Refresh
End If
' the LDD control can inform your application
' about the features of the hardware
Form1.SetFocus  'set focus back to our dialog
End Sub

Private Sub cmdSample_Click()
' could use the LDD to determine if the board has any AO feature:
If LDD.AO_nChan >= 1 Then
SetupAOSingleValue
' read in value to write to the DAC
Dim AOValue As Single
AOValue = CSng(Text1.Text)
SR.Res_Sta_ioValue = SR.DLVolts2Code(AOValue)
SR.Refresh  ' write it
' error check
SR.Req_op = DL_MESSAGEBOX
SR.Refresh
Else
' your board does not have at least 1 AO channel
MsgBox "Your board does not have an Analog Output channel", vbOKOnly
End If

' .Res_Sta_ioValue property contains the single value result
' but it is in units of the A/D converter, e.g., counts
'
' DLVolts2Code method converts volts to counts, but this method always
' assumes a bipolar gain of 1 was used
' for data at other gains, use VBArrayBufferConvert method or factor in
' your gain

End Sub

Private Sub Form_Load()
' populate the combo box with legal DriverLINX device numbers 0..5
DeviceNum.AddItem "0", 0
DeviceNum.AddItem "1", 1
DeviceNum.AddItem "2", 2
DeviceNum.AddItem "3", 3
DeviceNum.AddItem "4", 4
DeviceNum.AddItem "5", 5
DeviceNum.ListIndex = 0  ' set the combo box equal to the first entry
End Sub

Private Sub Form_Terminate()
' unload the driver for each object
SR.Req_DLL_name = ""
LDD.Req_DLL_name = ""
End Sub

Sub SetupAOSingleValue()
With SR
' Request Group
.Req_op = DL_START
.Req_mode = DL_POLLED  ' no pacing clock involved
.Req_subsystem = DL_AO
' Event Group
.Evt_Str_type = DL_COMMAND  ' start when .Refresh is called
.Evt_Stp_type = DL_TCEVENT  ' stop automatically
.Evt_Tim_type = DL_NULLEVENT  ' no timing for Polled mode
' Select Group
.Sel_buf_N = 0                 ' no buffers used
.Sel_chan_format = DL_tNATIVE  ' use the card's native format
.Sel_chan_N = 1                ' one channel
.Sel_chan_start = 0            ' is is channel 0
.Sel_chan_startGainCode = .DLGain2Code(-1) ' negative = bipolar, 1 = gain of 1
End With

End Sub

Private Sub Form_Unload(Cancel As Integer)
' reset the DAC to zero volts on exit
If LDD.AO_nChan >= 1 Then
SetupAOSingleValue
SR.Res_Sta_ioValue = SR.DLVolts2Code(0#)
SR.Refresh  ' write it
End If
End Sub
